Bug 28926 - clean up possible network-functions-ipv6 namespace pollution
Summary: clean up possible network-functions-ipv6 namespace pollution
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-22 21:28 UTC by Pekka Savola
Modified: 2014-03-17 02:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 21:29:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
clean up variables used to avoid possible conflicts (3.07 KB, patch)
2001-02-22 21:29 UTC, Pekka Savola
no flags Details | Diff

Description Pekka Savola 2001-02-22 21:28:03 UTC
From Peter Bieringer:
---
Attached is a small diff which fixes overwriting of variables on nested 
calls. Don't know whether its serious at the moment, but for the future 
it's better to have it cleaned up.

The Patch is only "network-functions-ipv6" internal and cause no side 
effects outside this file.
---

Doesn't seem too critical.

Comment 1 Pekka Savola 2001-02-22 21:29:12 UTC
Created attachment 10781 [details]
clean up variables used to avoid possible conflicts

Comment 2 Bill Nottingham 2001-02-22 22:20:31 UTC
Added, will be in next build.

Comment 3 Pekka Savola 2001-02-28 17:42:09 UTC
Please also add a few fixups:

--- network-functions-ipv6      Tue Feb 20 17:38:00 2001
+++ network-functions-ipv6.new  Wed Feb 28 19:40:25 2001
@@ -56,7 +56,7 @@
        device=$2               # maybe empty
 
        if [ -z $control ]; then
-               echo $"Missing parameter forwarding control'"
+               echo $"Missing parameter 'forwarding control'"
                forwarding_ipv6_usage
                return 1
        fi
@@ -150,7 +150,7 @@
        device=$3               # maybe empty
 
        if [ -z $networkipv6 ]; then
-               echo $"Missing parameter IPv6-network'"
+               echo $"Missing parameter 'IPv6-network'"
                ifup_ipv6_route_usage
                return 1
        fi



Note You need to log in before you can comment on or make changes to this bug.